StandardStructureTypes.Grouping (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class StandardStructureTypes.Grouping

- java.lang.Object
- - org.apache.fop.pdf.StandardStructureTypes.Grouping

- Enclosing class:
    StandardStructureTypes

      public static final class StandardStructureTypes.Grouping
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StructureType` | `ART`
    `static StructureType` | `BLOCK_QUOTE`
    `static StructureType` | `CAPTION`
    `static StructureType` | `DIV`
    `static StructureType` | `DOCUMENT`
    `static StructureType` | `INDEX`
    `static StructureType` | `NON_STRUCT`
    `static StructureType` | `PART`
    `static StructureType` | `PRIVATE`
    `static StructureType` | `SECT`
    `static StructureType` | `TOC`
    `static StructureType` | `TOCI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grouping()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOCUMENT

          public static final StructureType DOCUMENT

    - #### PART

          public static final StructureType PART

    - #### ART

          public static final StructureType ART

    - #### SECT

          public static final StructureType SECT

    - #### DIV

          public static final StructureType DIV

    - #### BLOCK_QUOTE

          public static final StructureType BLOCK_QUOTE

    - #### CAPTION

          public static final StructureType CAPTION

    - #### TOC

          public static final StructureType TOC

    - #### TOCI

          public static final StructureType TOCI

    - #### INDEX

          public static final StructureType INDEX

    - #### NON_STRUCT

          public static final StructureType NON_STRUCT

    - #### PRIVATE

          public static final StructureType PRIVATE

  - ### Constructor Detail

    - #### Grouping

          public Grouping()

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.